### Property

# WebKit Settings:disable-web-security

since: 2.40

#### Declaration

    property disable-web-security: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for Web Security on pages.

This setting disables the same-origin policy, allowing every website full control over all other websites. This is for use in special environments where you wish to disable all security and allow websites to hack each other. It is impossible to use this setting securely.

Type: | `gboolean`
Available since: | 2.40

Default value | FALSE
Getter method | `webkit_settings_get_disable_web_security()`
Setter method | `webkit_settings_set_disable_web_security()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no